<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://resourceRoleEntityBrowse.caption"
        focusComponent="resourceRoleEntitiesTable">
    <data readOnly="true">
        <collection id="resourceRoleEntitiesDc"
                    class="io.jmix.securitydata.entity.ResourceRoleEntity">
            <fetchPlan extends="_base"/>
            <loader id="resourceRoleEntitiesDl">
<!--                <query>-->
<!--                    <![CDATA[select e from sec_ResourceRoleEntity e-->
<!--                    where e.name like CONCAT(:name1, '%')-->
<!--                    or e.name like CONCAT(:name2, '%')]]>-->
<!--                </query>-->
                <query>
                    <![CDATA[select e from sec_ResourceRoleEntity e]]>
                </query>
            </loader>
        </collection>
        <collection id="roleAssignmentEntitiesDc" class="io.jmix.securitydata.entity.RoleAssignmentEntity">
            <fetchPlan extends="_base"/>
            <loader id="roleAssignmentEntitiesDl">
                <query>
                    <![CDATA[select e from sec_RoleAssignmentEntity e
                    where e.username = :username1
                    and e.roleType = :roleType1]]>
                </query>
            </loader>
        </collection>
        <collection id="baseRoleModelsDc" class="io.jmix.securityui.model.BaseRoleModel">
            <fetchPlan extends="_base"/>
            <loader id="baseRoleModelsDl">
                <query>
                    <![CDATA[select e from sec_BaseRoleModel e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="resourceRoleEntitiesTable" spacing="true">
        <filter id="filter"
                dataLoader="resourceRoleEntitiesDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="resourceRoleEntitiesTable"
                    width="100%"
                    dataContainer="resourceRoleEntitiesDc" multiselect="true">
            <columns>
                <column id="name"/>
                <column id="code"/>
                <column id="description"/>
            </columns>
            <simplePagination/>
        </groupTable>
        <hbox spacing="true">
            <button id="addRole" caption="msg://Add Role" css="background-color: #357EF2;color: #ffffff" primary="true"/>
            <button id="closeBtn" caption="msg://Close" icon="CLOSE"/>
        </hbox>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
